--- title: HTML performance features slug: Learn/Performance/HTML tags: - HTML - Learning - Web Performance ---

{{LearnSidebar}} {{PreviousMenuNext("Learn/Performance/javascript\_performance", "Learn/Performance/CSS", "Learn/Performance")}} {{draft}}

HTML is by default fast and accessible. It is our job, as developers, to ensure that we preserve these two properties when creating or editing HTML code. Complications can occur when, for example, the file size of a {{htmlelement("video")}} embed is too large, or when a webpage is not optimized for mobile devices. This module intends to walk you through the key HTML performance features that can drastically improve the quality of your webpage.

<table><tbody><tr class="odd"><td>Prerequisites:</td><td>Basic computer literacy, <a href="/en-US/docs/Learn/Getting_started_with_the_web/Installing_basic_software">basic software installed</a>, and basic knowledge of <a href="/en-US/docs/Learn/Getting_started_with_the_web">client-side web technologies</a>.</td></tr><tr class="even"><td>Objective:</td><td>To learn about the impact of HTML elements and attributes on web performance optimization.</td></tr></tbody></table>

Elements & attributes impacting performance
-------------------------------------------

-   [The `<picture>` Element](/en-US/docs/Web/HTML/Element/picture)
-   [The `<video>` Element](/en-US/docs/Web/HTML/Element/video)
-   [The `<source>` Element](/en-US/docs/Web/HTML/Element/source)
-   [The `<img> srcset` attribute](/en-US/docs/Web/HTML/Element/img#attributes)
    -   [Responsive images](/en-US/docs/Learn/HTML/Multimedia_and_embedding/Responsive_images)
-   [Preloading content with `rel="preload"`](/en-US/docs/Web/HTML/Preloading_content) - [(https://w3c.github.io/preload/](https://w3c.github.io/preload/) )
-   `async` / `defer` attributes
-   {{htmlelement('iframe')}}
-   {{htmlelement('object')}}
-   {{htmlelement('script')}}
-   [`rel` attribute](/en-US/docs/Web/HTML/Attributes/rel)

Conclusion
----------

{{PreviousMenuNext("Learn/Performance/javascript\_performance", "Learn/Performance/CSS", "Learn/Performance")}}

In this module
--------------

-   [The "why" of web performance](/en-US/docs/Learn/Performance/why_web_performance)
-   [What is web performance?](/en-US/docs/Learn/Performance/What_is_web_performance)
-   [How do users perceive performance?](/en-US/docs/Learn/Performance/Perceived_performance)
-   [Measuring performance](/en-US/docs/Learn/Performance/Measuring_performance)
-   [Multimedia: images](/en-US/docs/Learn/Performance/Multimedia)
-   [Multimedia: video](/en-US/docs/Learn/Performance/video)
-   [JavaScript performance best practices](/en-US/docs/Learn/Performance/JavaScript).
-   [HTML performance features](/en-US/docs/Learn/Performance/HTML)
-   [CSS performance features](/en-US/docs/Learn/Performance/CSS)
-   [Fonts and performance](/en-US/docs/Learn/Performance/Fonts)
-   [Mobile performance](/en-US/docs/Learn/Performance/Mobile)
-   [Focusing on performance](/en-US/docs/Learn/Performance/business_case_for_performance)

See also
--------

-   [The `<picture>` Element](/en-US/docs/Web/HTML/Element/picture)
-   [The `<video>` Element](/en-US/docs/Web/HTML/Element/video)
-   [The `<source>` Element](/en-US/docs/Web/HTML/Element/source)
-   [The `<img> srcset` attribute](/en-US/docs/Web/HTML/Element/img#attributes)
    -   [Responsive images](/en-US/docs/Learn/HTML/Multimedia_and_embedding/Responsive_images)
-   [Preloading content with `rel="preload"`](/en-US/docs/Web/HTML/Preloading_content) - [(https://w3c.github.io/preload/](https://w3c.github.io/preload/) )
